Package Gnumed :: Package wxpython :: Module gmDateTimeInput :: Class cDateMatchProvider |
[frames] | no frames]

# Class cDateMatchProvider

source code

                                 object --+
                                          |
    pycommon.gmMatchProvider.cMatchProvider --+
                                              |
                                             cDateMatchProvider

Turns strings into candidate dates.

Matching on "all" (*, '') will pop up a calendar :-)

Instance Methods
__init__(self) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
getMatchesByPhrase(self, aFragment) Return matches for aFragment at start of phrases. | source code
getMatchesByWord(self, aFragment) Return matches for aFragment at start of words inside phrases. | source code
getMatchesBySubstr(self, aFragment) Return matches for aFragment as a true substring. | source code
getAllMatches(self) Return all items. | source code
Inherited from `pycommon.gmMatchProvider.cMatchProvider`: `getMatches`, `get_match_by_data`, `setThresholds`, `set_context`, `unset_context` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
Inherited from `pycommon.gmMatchProvider.cMatchProvider`: `print_queries`

Properties
Inherited from `pycommon.gmMatchProvider.cMatchProvider`: `ignored_chars`, `word_separators` Inherited from `object`: `__class__`

Method Details

### __init__(self) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

### getMatchesByPhrase(self, aFragment) | source code
Return matches for aFragment at start of phrases. Overrides: pycommon.gmMatchProvider.cMatchProvider.getMatchesByPhrase

### getMatchesByWord(self, aFragment) | source code
Return matches for aFragment at start of words inside phrases. Overrides: pycommon.gmMatchProvider.cMatchProvider.getMatchesByWord

### getMatchesBySubstr(self, aFragment) | source code
Return matches for aFragment as a true substring. Overrides: pycommon.gmMatchProvider.cMatchProvider.getMatchesBySubstr

### getAllMatches(self) | source code
Return all items. Overrides: pycommon.gmMatchProvider.cMatchProvider.getAllMatches